Bug 1018851 - Rephrase text about distributed transactions
Rephrase text about distributed transactions
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: EAP 6.3.0
Assigned To: David Michael
Hayk Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 10:19 EDT by Ondrej Chaloupka
Modified: 2014-11-23 18:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14875, Development Guide-6.2-1 Build Date: 02-10-2013 13:20:00 Topic ID: 4279-459927 [Latest]
Last Closed: 2014-11-23 18:16:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-14 10:19:53 EDT
Title: About Distributed Transactions

I think that the text: 
"About Distributed Transactions
A distributed transaction, or distributed Java Transaction API (JTA) transaction is a transaction with participants on multiple JBoss EAP 6 servers. Distributed transactions differ from Java Transaction Service (JTS) transactions in that the JTS specifications mandate that transactions be able to be distributed across application servers from different vendors. JBoss EAP 6 supports distributed JTA transactions."
is a bit misleading.

 - it's not obvious what does the JTA abbreviation means - it seems that it means distributed java transaction api. At least the text "distributed Java Transaction API (JTA)" shows so. Would be possible to left just "A distrbuted transaction is a transaction..."?

 - the distributed transaction is abit misleading term in fact. When you check the google then you will get e.g. this article:
http://docs.oracle.com/cd/E11882_01/java.112/e16548/xadistra.htm
the distributed transaction is here defined to be XA transactions.
It would be nice to describe here that XA transaction could be named as distributed transaction but in the view of the Narayana JBossTS the JTS transactions are understood under this term. The JTS transactions are described above in 
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Development_Guide/index.html#About_Java_Transaction_Service_JTS
Would be possible to rephrase whole paragraph to be more descriptive?

 - related to the previous point - the phrase"Distributed transactions differ from Java Transaction Service (JTS)" is not true as the JTS transactions should be understood as distributed ones

 - is it true that EAP6 supports distributed JTA transactions (at least it should be checked issue https://bugzilla.redhat.com/show_bug.cgi?id=952746)?

Thanks 
Ondra
Comment 1 Ondrej Chaloupka 2013-10-14 18:15:16 EDT
I would like to add some more ideas:
it would be fine to rephrase the paragraph based on the fact that the JTS transactions are distributed transactions. Plus add info that for JTS is TM coordinator started on each node + context propagated to nodes and there is just the propagated context for distributed JTA .
It's true that JTS specification talks about compatibility of JTS transactions among different vendors but in fact this compatibility is not a supported feature. This fact would be fine to somelike incorporate into the text.
Then I don't know what difference is between expression like: "EAP6 supports jta distributed transactions" and "jta distributed transactions are supported in EAP6". The second statement is not true for sure. EAP6 offers possibility to work with distributed jta transactions but currently with some limitation (bz952746). I'm not sure with that but I suppose that we do not support that feature.
Comment 3 Ondrej Chaloupka 2014-07-22 04:48:07 EDT
Hi,

I'm returning back this bz as I think that changes are not sufficient. I've checked the development guide in revision 6.3.0-27.

1) Sentence 'A distributed transaction, or distributed Java Transaction API (JTA) transaction' is still there. Please, remove the note about JTA. The sentence should be just like: ' A distributed transaction is a transaction with participants on ...'

2) Please, rewrite whole next sentence
'Distributed transactions differ from Java Transaction Service (JTS) transactions in that the JTS specifications mandate that transactions be able to be distributed across application servers from different vendors. JBoss EAP 6 supports distributed JTA transactions.'
The new more understandable meaning should be something like:
'Java Transaction Service (JTS) specification mandates that JTS transactions be able to be distributed across application servers from different vendors (transaction distribution among servers from different vendors is not supported feature). Java Transaction API (JTA) does define nothing like that but JBoss EAP 6 supports distributed JTA transactions among JBoss EAP6 servers.'

3) Add note about misleading terms of distributed transaction and XA transaction. Something like:
'In documentation of other app server vendors you can find that term distributed transaction means XA transaction. But in context of JBoss EAP 6 documentation the distributed transaction is understood being transaction distributed among more application servers. Transaction which consist from several different resources (e.g. database resource and jms resource) is named XA transaction in this doc. For more information see sections About Java Transaction Service (JTS) and About XA Datasources and XA Transactions.'
Comment 6 Hayk Hovsepyan 2014-09-22 05:34:56 EDT
Verified on Revision 6.3.0-31

Note You need to log in before you can comment on or make changes to this bug.